Community
cancel
Showing results for 
Search instead for 
Did you mean: 
B__SERGIO
Beginner
78 Views

Execute OpenMP code on Intel Xeon Phi Knights Corner

Hello everyone!

I have problems to execute my OpenMP code on the Intel Xeon Phi Knights Corner. In the previous versions of ICC I was using the -mmic flag but now, in the Intel ICC v.18 I cannot use -mmic. I have used -xMIC-AVX512 but when I want execut it on the Intel Xeon Phi I get the following error:

"cannot execute binary file"

How I could solve this? 

Thanks in advance.

Tags (1)
0 Kudos
3 Replies
TimP
Black Belt
78 Views

Starting with 18.0 icc dropped support for KNC.  So we must use the older compilers.  KNC never supported AVX512.

B__SERGIO
Beginner
78 Views

But if we must use the older compilers and we have license for 18.0....Should we buy another license? 

TimP
Black Belt
78 Views

No, the current licenses are good for the previous compilers, and will permit you to download them.  Intel may not give the expected level of support for KNC any longer, but at least you have access to all the compilers present and past, including those for KNL.

Reply